/*
    Copyright Analog Flavor 2013-2024

    All rights reserved.

    This software contains proprietary and confidential information which is the
    property of Analog Flavor and is subject to license terms.

    This file may be used in accordance with the license agreement 
    provided with the software.

    This copyright notice may not be removed or altered.
*/


#ifndef __wxWinBspWaveWrapper__
#define __wxWinBspWaveWrapper__

#include <wx/window.h>
#include "af_return_codes.h"
#include "bspWaveWrapper.h"

class wxWinBspWaveWrapperImpl : public wxWindow {

    int m_hwnd;

public:

    wxWinBspWaveWrapperImpl(wxWindow *parent = 0);
    virtual ~wxWinBspWaveWrapperImpl();

    void on_size( wxSizeEvent& event );

    /// sends commands interactive commands
    ///     returns integer af_return_code as defined in "af_return_codes.h"
    af_return_code cmdWx(const wxString &cmd, wxArrayString &string_results);
    af_return_code cmdWx(const wxString &cmd);
    af_return_code cmdStd(const std::string &cmd);
    const char **getCommandResult();

    af_return_code processCommandLineWx(const wxString &cmd_line);
    af_return_code processCommandLineStd(const std::string &cmd_line);

};

class wxWinBspWaveWrapper : public bspWaveWrapper<wxWinBspWaveWrapperImpl> {

public:

    wxWinBspWaveWrapper(wxWindow *parent)
        : bspWaveWrapper<wxWinBspWaveWrapperImpl>(parent) {}

};

#endif // __wxWinBspWaveWrapper__
