#
#    Copyright Analog Flavor 2013-2024
#
#    All rights reserved.
#
#    This software contains proprietary and confidential information which is the
#    property of Analog Flavor and is subject to license terms.
#
#    This file may be used in accordance with the license agreement 
#    provided with the software.
#
#    This copyright notice may not be removed or altered.
#
#!/usr/bin/python


import bspwave_win_interface

import wx

class wxWinBspWaveWidget(wx.Window, bspwave_win_interface.bspwave_win_interface) :

    m_x = 0
    m_y = 0
    m_width = 1
    m_height = 1

    def __init__(self, parent, flag_debug = 0):
        #print("__init__ .. ")
        wx.Window.__init__(self, parent)
        bspwave_win_interface.bspwave_win_interface.__init__(self, flag_debug)
        self.Bind(wx.EVT_SIZE, self.resizeEvent)

    def computeWidgetPosition(self):
        self.m_x = 0
        self.m_y = 0
        self.m_width = self.GetSize().GetWidth()
        self.m_height = self.GetSize().GetHeight()

    def create(self):
        if self.getWindowIdentifier() == 0 :
            # the bspwave widget must be created
            parent_hwnd = self.GetHandle()
            if parent_hwnd != None :
                #msg = "The parent HWND is {0} ".format(parent_hwnd)
                #print(msg)
                self.computeWidgetPosition()
                #print("creating bspwave widget")
                self.createBspwaveWidget(parent_hwnd, self.m_x, self.m_y, self.m_width, self.m_height, 6)

    def resizeEvent(self, size_event):
        self.create()
        #win_id = self.getWindowIdentifier()
        #msg = "resizing widget id == {0} ".format(win_id)
        #print(msg)
        self.computeWidgetPosition()
        #print "Moving widget to {0} {1} {2} {3}".format(self.m_x, self.m_y, self.m_width, self.m_height)
        #print(msg)
        self.moveBspwaveWidget(self.m_x, self.m_y, self.m_width, self.m_height)




