#
#    Copyright Analog Flavor 2013-2024
#
#    All rights reserved.
#
#    This software contains proprietary and confidential information which is the
#    property of Analog Flavor and is subject to license terms.
#
#    This file may be used in accordance with the license agreement 
#    provided with the software.
#
#    This copyright notice may not be removed or altered.
#
#!/usr/bin/python

## To run this example from command line, extend your path
##      to include the analog flavor libraries :
## PATH=%cd%\..\..\..\platform\windows\32;%PATH%
## or PATH=%cd%\..\..\..\platform\windows\64;%PATH%
##
## cd /D ...\analog_flavor_msw\examples\bspwave_widget\python_win_test
##
## Run Python
## python.exe example_1_py_bspwave_top_window.py

import sys
import bspwave_win_interface

## initialize the interface
bsp = bspwave_win_interface.bspwave_win_interface(1)

## run a top window instance of BeSpice Wave in a thread
bsp.runBspwaveMainInThread()

## send an interactive command to BeSpice Wave
bsp.executeInteractiveCommand("execute_command_file \"../example/bspwave_interactive.txt\"")

## BeSpice Wave closes when Python exits
print("Type \"x\" to exit.")
while True:
    # wait for text input
    if sys.version_info < (3, 0):
        s = raw_input('--> ')
    else :
        s = input('--> ')
    if s == "x" :
        break
