#
#    Copyright Analog Flavor 2013-2024
#
#    All rights reserved.
#
#    This software contains proprietary and confidential information which is the
#    property of Analog Flavor and is subject to license terms.
#
#    This file may be used in accordance with the license agreement 
#    provided with the software.
#
#    This copyright notice may not be removed or altered.
#
#!/usr/bin/python

## To run this example from command line, extend your path
##      to include the analog flavor libraries :
## PATH=%cd%\..\..\..\platform\windows\32;%PATH%
## or PATH=%cd%\..\..\..\platform\windows\64;%PATH%
##
## cd /D ...\analog_flavor_msw\examples\bspwave_widget\python_win_test
##
## Run Python
## python.exe example_5_tk_inter_bspwave_widget.py

import string
import os
import sys

try :

    if sys.version_info < (3,0) :
        import Tkinter

        ## create a new top level window
        root = Tkinter.Tk()

        w = Tkinter.Label(root, text="BeSpice Wave TkInter Example")
        w.pack()
    else:
        import tkinter

        ## create a new top level window
        root = tkinter.Tk()

        w = tkinter.Label(root, text="BeSpice Wave TkInter Example")
        w.pack()

except ImportError as exc:

    print("Failed to load the module \"TkInter\".")
    print("Your software might not be configured for \"TkInter\".")

    exit(1)

## We need to load the TK module af_bspwave_widget_tk_win.dll
##      This dll is present in your Analog Flavor software distribution.
##      It can also be compiled from source code present in the examples.
bspwave_tk_library_name = "af_bspwave_widget_tk_win.dll"
msg = "The required bspwave TK module is {0}".format(bspwave_tk_library_name)
print(msg)

## the following commands are directly executed in the tk interpreter
root.tk.eval('load ' + bspwave_tk_library_name)
root.tk.eval('af_win_bspwave_widget .bspwave -style 7 -width 600 -height 500')
root.tk.eval('pack .bspwave -fill both -expand 1 -padx 2 -pady 3')

root.tk.eval('.bspwave execute_command read_configuration_file')

root.mainloop()

