/*
    Copyright Analog Flavor 2013-2024

    All rights reserved.

    This software contains proprietary and confidential information which is the
    property of Analog Flavor and is subject to license terms.

    This file may be used in accordance with the license agreement 
    provided with the software.

    This copyright notice may not be removed or altered.
*/

#include "qtWinBspWaveDockedTest.h"
#include <QFileDialog>


qtWinBspWaveDockedTest::qtWinBspWaveDockedTest() {

    setupUi(this);

    QDockWidget *dock = new QDockWidget(tr("BeSpice Wave"), this);

    m_bspWaveWidget = new qtWinBspWaveWrapper(dock, 0);
    m_bspWaveWidget->setMinimumSize(200, 200);
    m_bspWaveWidget->show();

    dock->setWidget(m_bspWaveWidget);
    addDockWidget(Qt::LeftDockWidgetArea, dock);

}

void qtWinBspWaveDockedTest::on_actionOpen_File_triggered() {
    QStringList files;

    files = QFileDialog::getOpenFileNames(
                     this, QString("Open Waveform Files"));

    m_bspWaveWidget->cmdOpenFilesQt(files);
}
void qtWinBspWaveDockedTest::on_actionShow_Control_Panel_triggered() {
    m_bspWaveWidget->cmdShowControlPanel();
}
void qtWinBspWaveDockedTest::on_actionShow_Command_Logger_triggered() {
    m_bspWaveWidget->cmdShowCommandLogger();
}
void qtWinBspWaveDockedTest::on_actionHide_Panels_triggered() {
    m_bspWaveWidget->cmdHidePanels();
}
