/*
    Copyright Analog Flavor 2013-2024

    All rights reserved.

    This software contains proprietary and confidential information which is the
    property of Analog Flavor and is subject to license terms.

    This file may be used in accordance with the license agreement 
    provided with the software.

    This copyright notice may not be removed or altered.
*/

#include "qtWinBspWaveTest.h"
#include <QFileDialog>

qtWinBspWaveTest::qtWinBspWaveTest() {

    setupUi(this);

    m_bspWaveWidget = new qtWinBspWaveWrapper(this, 1);
    horizontalLayout->addWidget(m_bspWaveWidget, 1, 0);

    m_bspWaveWidget->setMinimumSize(200, 200);
    m_bspWaveWidget->show();

    m_browserWrapper = 0;
}

void qtWinBspWaveTest::on_actionOpen_File_triggered() {
    QStringList files;

    files = QFileDialog::getOpenFileNames(
                     this, QString("Open Waveform Files"));

    m_bspWaveWidget->cmdOpenFilesQt(files);
}
void qtWinBspWaveTest::on_actionShow_Control_Panel_triggered() {
    m_bspWaveWidget->cmdShowControlPanel();
}
void qtWinBspWaveTest::on_actionShow_Command_Logger_triggered() {
    m_bspWaveWidget->cmdShowCommandLogger();
}
void qtWinBspWaveTest::on_actionHide_Panels_triggered() {
    m_bspWaveWidget->cmdHidePanels();
}
void qtWinBspWaveTest::on_actionReparent_Browser_triggered() {

    if ( m_browserWrapper ) {
        delete m_browserWrapper;
        m_browserWrapper = 0;
    }
    else if ( page_browser ) {
        HWND browser_hwnd = m_bspWaveWidget->getBrowserHandle();
        if ( browser_hwnd ) {
            m_browserWrapper = new qtWinBspWaveComponentWrapper(page_browser, browser_hwnd, m_bspWaveWidget->getBspwaveWidgetPtr());
            if ( !page_browser->layout() ) {
                page_browser->setLayout(new QHBoxLayout());
            }
            page_browser->layout()->addWidget(m_browserWrapper);
        }
    }
}
