/*
    Copyright Analog Flavor 2013-2024

    All rights reserved.

    This software contains proprietary and confidential information which is the
    property of Analog Flavor and is subject to license terms.

    This file may be used in accordance with the license agreement 
    provided with the software.

    This copyright notice may not be removed or altered.
*/


/*
  Copyright Gerard Eichenmueller 2013

  All rights reserved.

  This software contains proprietary and confidential information which is the
  property of Gerard Eichenmueller and is subject to license terms.
*/

#ifndef __bspwave_tk_win_widget__h__
#define __bspwave_tk_win_widget__h__

#include <tcl.h>
#include <tk.h>

#include "bspwave_widget.h"

#ifndef AF_TK_WIN_BSP_API
    #ifdef AF_TK_WIN_BSP_DLL_EXPORTS // defined if we are building the DLL (instead of using it)
        #define AF_TK_WIN_BSP_API __declspec(dllexport)
    #else
        #define AF_TK_WIN_BSP_API __declspec(dllimport)
    #endif
#endif

#ifdef __cplusplus
extern "C" {
#endif

    /// this function calls the library's init fumcion "_Af_bspwave_widget_tk__Init"
    ///     it creates the TK command "af_bspwave_widget"
    AF_TK_WIN_BSP_API int win_tk_bspwave_initialize_library(Tcl_Interp *interp);

    AF_TK_WIN_BSP_API Tk_Window win_tk_bspwave_create_widget_from_path(Tcl_Interp *interp,
                    Tk_Window main_win, const char *window_path,
                    int x, int y, int width, int height, int style_flags);

    AF_TK_WIN_BSP_API af_return_code win_tk_bspwave_process_command_line(Tk_Window bspwave_widget, int argc, char **argv);

    AF_TK_WIN_BSP_API af_return_code win_tk_bspwave_execute_command(Tk_Window bspwave_widget, const char *command);

    AF_TK_WIN_BSP_API const char **win_tk_bspwave_get_command_result(Tk_Window bspwave_widget);

    AF_TK_WIN_BSP_API af_return_code win_tk_bspwave_register_callback(Tk_Window bspwave_widget, const af_bspwave_callback_type *callbacks);

#ifdef __cplusplus
}
#endif

#endif
