/*
    Copyright Analog Flavor 2013-2024

    All rights reserved.

    This software contains proprietary and confidential information which is the
    property of Analog Flavor and is subject to license terms.

    This file may be used in accordance with the license agreement 
    provided with the software.

    This copyright notice may not be removed or altered.
*/


/*
  Copyright Gerard Eichenmueller 2013

  All rights reserved.

  This software contains proprietary and confidential information which is the
  property of Gerard Eichenmueller and is subject to license terms.
*/

#ifndef __tkWinBspWaveWrapper__
#define __tkWinBspWaveWrapper__

#include <tcl.h>
#include <tk.h>

#include <Windows.h>

#include "af_return_codes.h"
#include "bspwave_tk_win_widget.h"

#include <string>
#include <list>

class tkWinBspWaveWrapper  {

    HWND m_bspwave;
    Tk_Window m_tkWin;
    int m_styleFlags;

    Tcl_Interp *m_interpreter;
    std::string m_windowName;

    std::string m_commandLineArgument;
    std::list<std::string> m_pendingCommands;

public:

    tkWinBspWaveWrapper(Tcl_Interp *interp, Tk_Window main_win, const char *window_path,
                    int x, int y, int width, int height,
                    int style_flags);
    ~tkWinBspWaveWrapper();

    int processStructureEvent(XEvent *event_ptr);
    Tk_Window getTkWindow() { return m_tkWin; }
    HWND getHWND() { return m_bspwave; }

    void setCommandLineArgument(const std::string &cmd) { m_commandLineArgument = cmd; }
    std::list<std::string> &pendingCommands() {
        return m_pendingCommands;
    }

private:

    void createBspwave();

};


#endif
