#
#    Copyright Analog Flavor 2013-2024
#
#    All rights reserved.
#
#    This software contains proprietary and confidential information which is the
#    property of Analog Flavor and is subject to license terms.
#
#    This file may be used in accordance with the license agreement 
#    provided with the software.
#
#    This copyright notice may not be removed or altered.
#

# This script creates a BeSpice Wave Widget and allows to interact with it through TK controls.

package require Tk 8.5

if { $tcl_platform(os) == "Windows NT" } {
    load ../../../platform/windows/32/af_bspwave_widget_tk_win.dll
} else {
    puts stderr "Only Windows is supported by this script."
    exit 1
}

wm title . "Test for Windows BeSpice Wave Widget on TK"

ttk::frame .f
pack .f -fill both -expand 1

af_win_bspwave_widget .f.bspwave -style 7 -width 600 -height 500

pack .f.bspwave -fill both -expand 1

menu .menu -tearoff 0
menu .menu.file -tearoff 0
menu .menu.dev -tearoff 0

.menu add cascade -label "File" -menu .menu.file -underline 0
.menu.file add command -label "Open file" -command {
    set filename [tk_getOpenFile -title "Open Waveform File"];
    if {$filename ne ""} {
        .f.bspwave execute_command "open_file $filename"
    }
}

.menu add cascade -label "Dev" -menu .menu.dev -underline 0
.menu.dev add command -label "Show Control Panel" -command {
    .f.bspwave execute_command "show_control_panel 1"
}
.menu.dev add command -label "Show Command Logger" -command {
    .f.bspwave execute_command "show_command_logger 1"
}
.menu.dev add command -label "Hide Panels" -command {
    .f.bspwave execute_command "show_control_panel 0"
    .f.bspwave execute_command "show_command_logger 0"
}

. configure -menu .menu
