using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication4
{

    public class BspwaveManagedImpl : cliWinBspWaveWrapper
    {

        public BspwaveManagedImpl()
        {
            // The library path has to be adjusted to where the dll is found on your system.
            String libraryPath;
            libraryPath = "...//analog_flavor_msw//platform//windows//32//af_bspwave_widget_win.dll";
            if (checkRequires64bLibrary()) {
                // Adjust the library path for compiling on 64 bit.
                libraryPath = "...//analog_flavor_msw//platform//windows//64//af_bspwave_widget_win.dll";
            }

            loadBspWaveDll(libraryPath);
            setStyleFlags(70);
        }

        public override void onCreated()
        {
            // We register a callback for BeSpice Wave's close button.
            // As a consequence this button is shown.
            registerCallbackFunctions(true, false, false, false, false);
        }

        public override void onCloseButtonActivated()
        {
            // This virtual function is called when BeSpice Wave's close button is hit.
        }

    }
    
    public partial class MainWindow : Window
    {
        bool m_flagLoaded;
        BspwaveManagedImpl m_bspwave;

        public MainWindow()
        {
            InitializeComponent();
            m_flagLoaded = false;
        }
        void Window_Loaded(object sender, RoutedEventArgs e)
        {
            // We create a BeSpice Wave widget and show it as a child of the HwndHost placeholder.
            if (!m_flagLoaded) {
                m_flagLoaded = true;
                m_bspwave = new BspwaveManagedImpl();
                insertHwndHostHere.Child = m_bspwave;
            }
        }
    }
}


