

Class BspwaveManagedImpl
    Inherits cliWinBspWaveWrapper

    Public Sub New()
        ' The library path has to be adjusted to where the dll is found on your system.
        Dim libraryPath As String
        libraryPath = "...//analog_flavor_msw//platform//windows//32//af_bspwave_widget_win.dll"
        If checkRequires64bLibrary() Then
            ' Adjust the library path for compiling on 64 bit.
            libraryPath = "...//analog_flavor_msw//platform//windows//64//af_bspwave_widget_win.dll"
        End If

        loadBspWaveDll(libraryPath)
        setStyleFlags(70)
    End Sub

    Public Overrides Sub onCreated()
        ' We register a callback for BeSpice Wave's close button.
        ' As a consequence this button is shown.
        registerCallbackFunctions(True, False, False, False, False)
    End Sub

    Public Overrides Sub onCloseButtonActivated()
        ' This virtual function is called when BeSpice Wave's close button is hit.
    End Sub

End Class


Class MainWindow

    Private m_flagLoaded As Integer = 0
    Private m_bspwave As BspwaveManagedImpl

    Public Sub Window_loaded()

        ' We create a BeSpice Wave widget and show it as a child of the HwndHost placeholder.
        If m_flagLoaded = 0 Then
            m_flagLoaded = 1
            m_bspwave = New BspwaveManagedImpl
            insertHwndHostHere.Child = m_bspwave
        End If


    End Sub

End Class

